(function($) {
    'use strict';


    new WOW().init();

    $('.about-slider').slick({
        fade: true
    });


    $(".bpws-wrapper").mCustomScrollbar({theme:"minimal"});

    $('.mfp-iframe').magnificPopup();

    $('.map-icon').on('hover', function() {
        $(this).prev().toggleClass('show');
    });

    $('.info-window').on('hover', function() {
        $(this).toggleClass('show');
    });

    $('.pricing-tab-switcher').on('click', function() {
        $(this).toggleClass('active');

        $('.pricing-amount').toggleClass('change-subs-duration');
    });

    $('#mainmenu').slicknav({
        prependTo: '.navigation-bar .navigation'
    });

    $('.prettySocial').prettySocial();


    //NICE SELECT

    $('.nice-select, .select, .orderby').niceSelect();

    //EMBED RESPONSIVE

    $(".embed-responsive iframe").addClass("embed-responsive-item");


    // COUNTER UP

    $('.single-counterup-item').each(function(i, e) {
        var time = $(e).data('time');
        var delay = $(e).data('delay');

        $(e).find(".counter.active").counterUp({
            delay: delay,
            time: time
        });
    })



    // SERVICE TEASTIMONIAL

    $(".service-teatimonial").slick({
        infinite: true,
        slidesToShow: 3,
        slidesToScroll: 1,
        nextArrow: $('.service-nav-right'),
        prevArrow: $('.service-nav-left'),
        responsive: [{
                breakpoint: 1024,
                settings: {
                    slidesToShow: 3,
                    slidesToScroll: 3,
                    infinite: true,
                    dots: true
                }
            },
            {
                breakpoint: 700,
                settings: {
                    slidesToShow: 2,
                    slidesToScroll: 2
                }
            },
            {
                breakpoint: 480,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            }
        ]
    });



    //TEAM-CAROSUEL
    $('.team-carosuel').each(function(i, e) {

        let teamSliderOptions = $(this).data('options');

        $(this).owlCarousel({
            items: 4,
            loop: true,
            nav: true,
            rtl: teamSliderOptions.rtl,
            navText: ["<span class='ti-angle-left'>", "<span class='ti-angle-right'>"],
            autoplay: false,
            mouseDrag: false,
            margin: 30,
            responsive: {
                0: {
                    items: 1,
                },
                500: {
                    items: 2,
                },
                1000: {
                    items: 4,
                }
            }
        });

    });



    $('.testimonial-carousel').each(function(i, e) {
        var options = $(this).data('options');


        $(this).slick({
            infinite: options.infinite,
            slidesToShow: options.slidesToShow,
            slidesToScroll: options.slidesToScroll,
            nextArrow: $('.testi-nav-right'),
            prevArrow: $('.testi-nav-left'),
            responsive: [{
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2,
                        infinite: true,
                        dots: true
                    }
                },
                {
                    breakpoint: 600,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }
            ]
        });

    });


    $('.all-brand-carsouel').each(function(i, e) {

        //ALL-BRAND-CARSOUL
        let allSliderOptions = $(this).data('options');

        $(this).owlCarousel({
            loop: true,
            margin: 10,
            rtl: allSliderOptions.rtl,
            autoplay: true,
            autoplayTimeout: 3000,
            autoplaySpeed: 600,
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1,
                },
                600: {
                    items: 3,
                },
                1000: {
                    items: 5,
                }
            }
        });
    });


    //TAB ANIMATAION SLIDE
    jQuery('.tabs.animated-slide-2 .tab-links a').on('click', function(e) {
        var currentAttrValue = jQuery(this).attr('href');

        // Show/Hide Tabs
        jQuery('.tabs ' + currentAttrValue).slideDown(400).siblings().slideUp(400);

        // Change/remove current tab to active
        jQuery(this).parent('li').addClass('active').siblings().removeClass('active');

        e.preventDefault();
    });


     //WOW ANIMATION

    new WOW().init();



    //DATE COUNTDOWN

    $('[data-countdown]').each(function() {
        var $this = $(this),
            finalDate = $(this).data('countdown');
        $this.countdown(finalDate, function(event) {
            $this.html(event.strftime(
                '<div class="cdown"><span class="days"><strong>%-D</strong><p>Days.</p></span></div><div class="cdown"><span class="hour"><strong> %-H</strong><p>Hours.</p></span></div> <div class="cdown"><span class="minutes"><strong>%M</strong> <p>MINUTES.</p></span></div><div class="cdown"><span class="second"><strong> %S</strong><p>SECONDS.</p></span></div>'
            ));
        });
    });




    jQuery(window).load(function() {

        $(".stick").sticky({ topSpacing: 0 });


    });



    // Check email address validator
    function isValidEmailAddress(emailAddress) {
        var pattern = /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;
        return pattern.test(emailAddress);
    }

    // check contact form value
    function contactFormValueCheck($this) {
        var val = $this.val();

        if( $this.hasClass('wpcf7-validates-as-required') ) {
            if( val.length <= 0 ) {
                $this.addClass('wpcf7-not-valid');
            } else {
                $this.removeClass('wpcf7-not-valid');
                $this.next('wpcf7-not-valid-tip').hide();
            }

            if( $this.attr('type') == 'email' ) {
                if( isValidEmailAddress(val) == true ) {
                    $this.removeClass('wpcf7-not-valid');
                } else {
                    $this.addClass('wpcf7-not-valid');
                }
            }
        }
    }

    $('.wpcf7-form-control-wrap input, .wpcf7-form-control-wrap textarea').on('blur', function () {
        var $this = $(this);
        contactFormValueCheck($this)
    });

    $('.wpcf7-form-control-wrap input, .wpcf7-form-control-wrap textarea').on('keyup', function () {
        var $this = $(this);
        contactFormValueCheck($this)
    });




    //
    // Switcher Toggler Opener
    //
    $('.switcher-toggler').on('click', function() {
        $('.switcher-wrapper').toggleClass('active');
    });



    //
    // Switcher Color Changer
    //
    $('.switcher-color-list button').on('click', function() {

        // Get the this
        var that = $(this);

        // Get the current body theme color
        var currentColor = that.data('theme-color');

        if( $('body').attr('theme-color') ) {
            var currentBodyColor = $('body').attr('theme-color');

            // Remove the existing body theme color if there has any
            $('body').removeClass(currentBodyColor);
        }

        // Add the active class to toggler
        that.addClass('active');

        // Remove the active class from other siblings
        that.siblings().removeClass('active');

        // Add the theme color to body
        $('body').addClass(currentColor);
        $('body').attr('theme-color', currentColor);

    });



    //
    //  Layout Change
    //
    $('.switcher-tab button').on('click', function() {
        var that = $(this);

        that.siblings().removeClass('active');
        that.addClass('active');

        var dataLayout = that.data('layout');

        if( dataLayout == 'boxed') {
            $('body').addClass('layout-boxed');
            $('.background-patterns').show();
        } else {
            $('body').removeClass('layout-boxed');
            $('.background-patterns').hide();
        }
    });



    //
    // Background Image Changer on Box Mode
    //
    $('.bg-patterns-cover button').on('click', function() {

        var getActiveButton = $('.background-patterns').find('.active');

        console.log(getActiveButton.data('bg-pattern'));

        $('body').removeClass(getActiveButton.data('bg-pattern'));

        $(this).siblings().removeClass('active');
        $(this).addClass('active');

        $('body').addClass($(this).data('bg-pattern'));

    });


    // preloader
    $(window).on('load', function() {
        $('#preloader-wrapper .loader').fadeOut();
        $('#preloader-wrapper').delay(150).fadeOut('slow');
    });


})(jQuery);
