<?php

function slake_wdc_display_func(){
	check_ajax_referer( 'wdc_nonce', 'security' );

	if(isset($_POST['domain']))
	{
		$domain = str_replace(array('www.', 'http://'), NULL, $_POST['domain']);
		$split = explode('.', $domain);
		$domainName = $domain;

			if(count($split) == 1) {
				$domain = $domain.".com";
			}

		$domain = preg_replace("/[^-a-zA-Z0-9.]+/", "", $domain);
		if(strlen($domain) > 0)
		{
			if( file_exists(  ABSPATH . 'wp-content/plugins/slake-theme-support/thirdparty/DomainAvailability.php' ) ) {
				include  ABSPATH . 'wp-content/plugins/slake-theme-support/thirdparty/DomainAvailability.php';
			}

			$Domains = new DomainAvailability();
			$available = $Domains->is_available($domain);
			$custom_found_result_text = esc_html__('تبریک میگیم! دامنه', 'slake') . " <i> ". esc_url($domain) ." </i> " . esc_html__('  قابل ثبت میباشد !', 'slake');
	    	$custom_not_found_result_text = esc_html__('شرمنده ! دامنه ', 'slake') . '<i> '. esc_url($domain) . '</i>' . esc_html__(' ثبت شده است !', 'slake') . ' </span> ' . esc_html__('لطفا دامنه دیگری را جست و جو کنید .', 'slake');

			if ($available == '1') {
					$result = array('status'=>1,'domain'=> esc_url($domain), 'text'=> '<p class="available">'.$custom_found_result_text.'</p>', 'domain_name' => $domainName);
			    	echo json_encode($result);
			} elseif ($available == '0') {
					$result = array('status'=>0,'domain'=> esc_url($domain), 'text'=> $custom_not_found_result_text);
			    	echo json_encode($result);
			}elseif ($available == '2'){
					$result = array('status'=>0,'domain'=> esc_url($domain), 'text'=> __('پسوند دامنه قابل شناسایی نمیباشد !', 'slake') );
			    	echo json_encode($result);
			}

		}
		else
		{
			echo esc_html__('نام دامنه خود را بدون پسوند و پیشوند و به حروف انگلیسی وارد کنید !', 'slake');
		}
	}
	die();
}

add_action('wp_ajax_wdc_display','slake_wdc_display_func');
add_action('wp_ajax_nopriv_wdc_display','slake_wdc_display_func');
