<?php


// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Requireing the custom widget

function slake_theme_sidebar() {

	// globalizing theme options framework
	global $slake;

	// Registering widgets for sidebar
	$args = array(
		'id'            => 'slake_sidebar',
		'name'   		=> esc_html__('Blog Sidebar', 'slake'),
		'description'   => esc_html__('Add your widgets here to show on blog sidebar', 'slake'),
	    'class'         => '',
		'before_widget' => '<div class="widget %2$s ">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="wdgt_title"><h2>',
		'after_title'   => '</h2></div>'
	);

	register_sidebar($args);


	// Registering widgets for shop sidebar
	$args = array(
		'id'            => 'slake_shop_sidebar',
		'name'   		=> esc_html__('Shop Sidebar', 'slake'),
		'description'   => esc_html__('Add your widgets here to show on shop sidebar', 'slake'),
	    'class'         => '',
		'before_widget' => '<div class="widget %2$s ">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="wdgt_title"><h2>',
		'after_title'   => '</h2></div>'
	);

	register_sidebar($args);


	// Registering widgets for sidebar
	$args = array(
		'id'            => 'footer_widget',
		'name'   		=> esc_html__('Footer widget', 'slake'),
		'description'   => esc_html__('Add your widgets here to show on the footer of your site.', 'slake'),
	    'class'         => '',
		'before_widget' => '<div class="footer-widget widget %2$s ">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="wdgt_title"><h2>',
		'after_title'   => '</h2></div>'
	);

	register_sidebar($args);

	// Registering widgets for sidebar
	$args = array(
		'id'            => 'header_top_left_widget',
		'name'   		=> esc_html__('Header Top Left', 'slake'),
		'description'   => esc_html__('Add your widgets here to show on the header top left of your site.', 'slake'),
	    'class'         => '',
		'before_widget' => '<li class="%2$s list-widget">',
		'after_widget'  => '</li>',
		'before_title'  => '<h2 class="wdgt_title">',
		'after_title'   => '</h2>'
	);

	register_sidebar($args);



	// Registering widgets for whmcs footer widget
	$args = array(
		'id'            => 'whmcs_footer_widget',
		'name'   		=> esc_html__('WHMCS Footer widget', 'slake'),
		'description'   => esc_html__('Add your widgets here to show on the footer of WHMCS pages.', 'slake'),
	    'class'         => '',
		'before_widget' => '<div class="col-md-3"><div class="whmcs-footer-widget widget %2$s ">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<div class="wdgt_title"><h2>',
		'after_title'   => '</h2></div>'
	);

	register_sidebar($args);


}
add_action('widgets_init', 'slake_theme_sidebar');
