<?php
/**
 * Template for displaying search forms in Buffet
 *
 * @package WordPress
 * @subpackage Buffet
 * @since Buffet 1.0
 */
?>

<section class="flake-search-form">
     <form role="search" method="get" id="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" >
    	<label class="screen-reader-text" for="s"><?php esc_html_e('Search',  'slake') ?></label>
     	<input type="search" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" id="s" placeholder="<?php esc_attr_e('جست و جو فرمایید ...', 'slake'); ?>" />
     	<button type="submit" id="searchsubmit"><img src="<?php echo get_template_directory_uri(); ?>/assets/img/search-icon.png" alt="<?php esc_attr_e('search-icon', 'slake'); ?>"></button>
     </form>
</section>
