<?php
get_header();

// Globalizing theme class
global $slakeObj;

echo  $slakeObj->slake_breadcrumb_bridge();

$slake = get_option('slake');
$grid = 'content-single';

$theme_page_layout = 'right-sidebar';

// Get page meta options
$use_custom_page_layout = get_post_meta(get_the_ID(), 'use_custom_page_layout', true);
$custom_page_layout = get_post_meta(get_the_ID(), 'select_custom_layout', true);

// If the single page layout set from theme options
if ( isset($slake['single_page_layout'] ) ) {
    $theme_page_layout = $slake['single_page_layout'];
}

// If the custom page layout is true
if(  $use_custom_page_layout == true ) {
    $theme_page_layout = $custom_page_layout;
}


?>


<!-- blog AREA  -->

<section class="latest-blog-area">
        <div class="container">
            <div class="row">

                <?php

                    if( isset( $slake['single_page_layout'] ) ) :
                        if( $theme_page_layout == 'fullpage' ) :

                            $slakeObj->thePostLoop('col-md-12', $grid, true);

                        elseif(  $theme_page_layout == 'right-sidebar' ) :

                            $slakeObj->thePostLoop('col-md-8', $grid);

                            $slakeObj->getPulledSidebar('col-md-4');

                        elseif(  $theme_page_layout == 'left-sidebar' ) :

                            $slakeObj->thePostLoop('col-md-8 col-md-push-4', $grid);

                            $slakeObj->getPulledSidebar('col-md-4 col-md-pull-8');

                        endif;

                    else:
                        $slakeObj->thePostLoop('col-md-8', $grid);

                        $slakeObj->getPulledSidebar('col-md-4');
                    endif;

                ?>


            </div>
        </div>
</section>

<?php
get_footer();
?>
