<div class="blog-meta meta-all">

    <?php
        if( is_sticky() ) {
            echo '<span class="meta-wrap"><span class="sticky-icon"><i class="ti-pin"></i>'. esc_html('Sticky', 'slake') .'</span></span>';
        }
    ?>

    <span class="meta-wrap meta-post-author">
        <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">
            <i class="meta-icon ti-user"></i>
            <?php
                esc_html_e('توسط : ', 'slake');
                the_author();
            ?>
        </a>
    </span>

    <?php if( ! is_single() ) : ?>
        <span class="meta-wrap">
            <i class="meta-icon ti-calendar"></i>
            <a href="<?php the_permalink(); ?>"> <?php echo esc_html( the_time( get_option('date_format') ) ) ; ?> </a>
        </span>
    <?php endif; ?>


    <span class="meta-wrap">
        <i class="meta-icon ti-comment"></i>
        <?php

            comments_popup_link(
                esc_html__('0 نظرات', 'slake'),
                esc_html__('1 نظر', 'slake'),
                esc_html__('% نظرات', 'slake')
            );
        ?>
    </span>
</div>
