<?php
    global $slakeObj;
?>


<div <?php post_class(); ?>>



    <?php

    $content = apply_filters( 'the_content', get_the_content() );
    $video   = false;

    // Only get video from the content if a playlist isn't present.
    if ( false === strpos( $content, 'wp-playlist-script' ) ) {
        $video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );
    }

    if ( ! is_single() ) {

        // If not a single post, highlight the video file.
        if ( ! empty( $video ) ) {
            foreach ( $video as $video_html ) {
                echo '<div class="embed-content">';
                    echo  $video_html;
                echo '</div>';
            }
        };

    };

    ?>

    <div class="blog-box-content">


        <?php
            printf('<a href="%s"><h3>%s</h3></a>', esc_url( get_the_permalink() ), get_the_title() );
            get_template_part('templates/content', 'post-meta-all');
        ?>

        <?php
            echo '<div class="blog-excerpt">';
                the_excerpt();
            echo '</div>';
        ?>

        <?php printf('<a href="%s" class="read-more-btn">%s</a>', get_the_permalink(), __('Read more', 'slake')); ?>
    </div>

</div>
