    <?php

        $slake = get_option('slake');

        if( isset( $slake['enable_top_header'] ) && $slake['enable_top_header'] == true ) {
            get_template_part('templates/headers/top-part');
        }
    ?>



    <!-- NAVIGATION -->
    <div class="navigation-bar stick">
        <div class="container">
            <div class="row">
                <div class="col-md-2">
                    <div class="logo">
                        <?php
                            printf( '<a href="%s"  class="navbar-brand">', esc_url( home_url('/') ) );
                                echo slake_get_site_logo();
                            echo '</a>';
                        ?>
                    </div>
                </div>
                <div class="col-md-10">
                    <div class="navigation">
                        <?php
                            if( function_exists('wp_nav_menu') ) {
                                wp_nav_menu(array(
                                    'theme_location' => 'main-menu',
                                    'menu_class' => 'list-inline text-right',
                                    'menu_id' => 'mainmenu',
                                    'fallback_cb'  => 'slake_link_to_menu_editor',
                                ));
                            }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /MOBILE NAVIGATION -->
    <!-- /NAVIGATION -->
