<?php
get_header();
?>

<div class="errorArea notFoundPage">
		<div class="container">
			<div class="row errRow">
				<div class="col-md-12">
					<div class="errorContent">
						<div class="h1 errorTitle"><?php esc_html_e('۴۰۴ پیدا نشد !', 'slake'); ?></div>
						<span><?php esc_html_e('صفحه مورد نظر شما به احتمال زیاد حذف و یا انتقال پیدا کرده است لطفا از بخش زیر جست و جو کنید .', 'slake'); ?>
		                    </span>

						<?php get_search_form(); ?>

						<div>
							<a href="<?php esc_url(home_url('/')); ?>" class="go-back">
								<?php
									if( is_rtl() ) :
										printf('<i class="fa fa-angle-right"></i> %s ', esc_html__('بازگشت به صفحه اصلی', 'slake')) ;
									else :
										printf('<i class="fa fa-angle-left"></i> %s', esc_html__('بازگشت به صفحه اصلی', 'slake')) ;
									endif;
								?>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


<?php
get_footer	();
?>
