<?php
namespace SlakeTS\Widgets;

use Elementor\Controls_Manager;
use Elementor\Scheme_Color;

add_action('elementor/element/after_section_end', function( $section, $section_id, $args ) {

}, 10, 3 );



function slake_font_icons() {
    return [
        'ti-arrow-right' => __('Themify Arrow Right', 'slake-ts'),
        'ti-arrow-left' => __('Themify Arrow Left', 'slake-ts'),
        'ti-arrow-down' => __('Themify Arrow Down', 'slake-ts'),
        'ti-arrow-up' => __('Themify Arrow Up', 'slake-ts'),
        'ti-angle-right' => __('Themify Angle Right', 'slake-ts'),
        'ti-angle-left' => __('Themify Angle Left', 'slake-ts'),
        'ti-angle-down' => __('Themify Angle Down', 'slake-ts'),
        'ti-angle-up' => __('Themify Angle Up', 'slake-ts'),
        'nc-icon nc-send' => __('Nc send', 'slake-ts'),
        'nc-icon nc-tail-right' => __('Nc tall right', 'slake-ts'),
        'nc-icon nc-money-time' => __('Nc money time', 'slake-ts'),
        'nc-icon nc-code-editor' => __('Nc code editor', 'slake-ts'),
        'nc-icon nc-responsive' => __('Nc responsive', 'slake-ts'),
        'nc-icon nc-web-design' => __('Nc web design', 'slake-ts'),
        'nc-icon nc-apple' => __('Nc apple', 'slake-ts'),
        'nc-icon nc-ic_android_48px' => __('Nc android', 'slake-ts'),
        'nc-icon nc-p-heart' => __('Nc heart', 'slake-ts'),
        'nc-icon nc-touch-id' => __('Nc touch id', 'slake-ts'),
        'nc-icon nc-p-system-update' => __('Nc system update', 'slake-ts'),
        'nc-icon nc-watch-circle' => __('Nc watch circle', 'slake-ts'),
        'nc-icon nc-chart-bar-33' => __('Nc chart bar 33', 'slake-ts'),
        'nc-icon nc-archive-2' => __('Nc archive 2', 'slake-ts'),
        'nc-icon nc-archive-paper' => __('Nc archive paper', 'slake-ts'),
        'nc-icon nc-award-48' => __('Nc award 48', 'slake-ts'),
        'nc-icon nc-badge-13' => __('Nc badge 13', 'slake-ts'),
        'nc-icon nc-bag-09' => __('Nc bag 09', 'slake-ts'),
        'nc-icon nc-barcode-qr' => __('Nc barcode qr', 'slake-ts'),
        'nc-icon nc-bear-2' => __('Nc bear 2', 'slake-ts'),
        'nc-icon nc-bell-53' => __('Nc bell 53', 'slake-ts'),
        'nc-icon nc-bookmark-2' => __('Nc bookmark 2', 'slake-ts'),
        'nc-icon nc-briefcase-24' => __('Nc briefcase 24', 'slake-ts'),
        'nc-icon nc-calendar-60' => __('Nc calendar 60', 'slake-ts'),
        'nc-icon nc-camera-20' => __('Nc camera 20', 'slake-ts'),
        'nc-icon nc-cart-simple' => __('Nc cart simple', 'slake-ts'),
        'nc-icon nc-chat-46' => __('Nc chat 46', 'slake-ts'),
        'nc-icon nc-check-circle-07nc-cloud-26' => __('Nc check circle 07nc cloud 26', 'slake-ts'),
        'nc-icon nc-compass-05' => __('Nc compass 05', 'slake-ts'),
        'nc-icon nc-dashboard-level' => __('Nc dashboard level', 'slake-ts'),
        'nc-icon nc-diamond' => __('Nc diamond', 'slake-ts'),
        'nc-icon nc-edit-78' => __('Nc edit 78', 'slake-ts'),
        'nc-icon nc-email-84' => __('Nc email 84', 'slake-ts'),
        'nc-icon nc-eye-19' => __('Nc eye 19', 'slake-ts'),
        'nc-icon nc-favourite-31' => __('Nc favourite 31', 'slake-ts'),
        'nc-icon nc-flag-points-32nc-flash-21' => __('Nc flag points 32nc flash 21', 'slake-ts'),
        'nc-icon nc-folder-15' => __('Nc folder 15', 'slake-ts'),
        'nc-icon nc-gift-2' => __('Nc gift 2', 'slake-ts'),
        'nc-icon nc-grid-45' => __('Nc grid 45', 'slake-ts'),
        'nc-icon nc-handout' => __('Nc handout', 'slake-ts'),
        'nc-icon nc-heart-2' => __('Nc heart 2', 'slake-ts'),
        'nc-icon nc-home-52' => __('Nc home 52', 'slake-ts'),
        'nc-icon nc-image' => __('Nc image', 'slake-ts'),
        'nc-icon nc-key-25' => __('Nc key 25', 'slake-ts'),
        'nc-icon nc-layers-3' => __('Nc layers 3', 'slake-ts'),
        'nc-icon nc-like-2' => __('Nc like 2', 'slake-ts'),
        'nc-icon nc-link-72' => __('Nc link 72', 'slake-ts'),
        'nc-icon nc-lock-open' => __('Nc lock open', 'slake-ts'),
        'nc-icon nc-lock' => __('Nc lock', 'slake-ts'),
        'nc-icon nc-multiple-11' => __('Nc multiple 11', 'slake-ts'),
        'nc-icon nc-notes' => __('Nc notes', 'slake-ts'),
        'nc-icon nc-pencil' => __('Nc pencil', 'slake-ts'),
        'nc-icon nc-phone-2' => __('Nc phone 2', 'slake-ts'),
        'nc-icon nc-preferences' => __('Nc preferences', 'slake-ts'),
        'nc-icon nc-send-2' => __('Nc send 2', 'slake-ts'),
        'nc-icon nc-settings-gear-63nc-single-01' => __('Nc settings gear 63nc single 01', 'slake-ts'),
        'nc-icon nc-single-folded-contentnc-skull-2' => __('Nc single folded contentnc skull 2', 'slake-ts'),
        'nc-icon nc-spaceship' => __('Nc spaceship', 'slake-ts'),
        'nc-icon nc-square-download' => __('Nc square download', 'slake-ts'),
        'nc-icon nc-square-upload' => __('Nc square upload', 'slake-ts'),
        'nc-icon nc-support-16' => __('Nc support 16', 'slake-ts'),
        'nc-icon nc-trash-simple' => __('Nc trash simple', 'slake-ts'),
        'nc-icon nc-turtle' => __('Nc turtle', 'slake-ts'),
        'nc-icon nc-vector' => __('Nc vector', 'slake-ts'),
        'nc-icon nc-video-66' => __('Nc video 66', 'slake-ts'),
        'nc-icon nc-wallet-43' => __('Nc wallet 43', 'slake-ts'),
        'nc-icon nc-widget' => __('Nc widget', 'slake-ts'),
        'nc-icon nc-world' => __('Nc world', 'slake-ts'),
        'nc-icon nc-zoom-2' => __('Nc zoom 2', 'slake-ts')
    ];
}
